FruxonDocs
ApiLlmproviders

Test LLM provider credentials.

Validates the provided credentials by making a minimal API call to the provider. Use this to verify an API key is valid before saving a configuration.

POST
/v1/tenants/{tenant}/llmProviders/:test
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

tenant*string

The tenant identifier

The provider configuration to test.

config?

An LLM provider configuration — which provider to use and its settings (API key, model, …). Referenced by an agent revision so its steps can call the model.

[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/llmProviders/:test" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": false,
  "error": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}